Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wavemaker.runtime.data.util
Class SystemUtils

    java.lang.Object
      com.wavemaker.runtime.data.util.SystemUtils

    public class SystemUtils

extends java.lang.Object

Published utility methods.

Version:
  $Rev: 29063 $ - $Date: 2010-04-29 17:56:29 -0700 (Thu, 29 Apr 2010) $
Author:
  Simon Toens

Method Summary
`static void` | `clientPrepare()`
`static java.lang.Object` | `clientPrepare(java.lang.Object o)` Deprecated.
`static java.lang.Object` | `clientPrepare(java.lang.Object o, DataServiceManagerAccess mgrAccess)` Deprecated.
`static void` | `registerPropertyFilter()`
`static java.lang.Object` | `serverMergeForInsert(java.lang.Object o, org.hibernate.Session session, com.wavemaker.runtime.data.DataServiceMetaData metaData)`
`static java.lang.Object` | `serverMergeForUpdate(java.lang.Object o, DataServiceManagerAccess mgrAccess)`
`static java.lang.Object` | `serverMergeForUpdate(java.lang.Object o, org.hibernate.Session session, com.wavemaker.runtime.data.DataServiceMetaData metaData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clientPrepare

    public static void clientPrepare()

### serverMergeForUpdate

    public static java.lang.Object serverMergeForUpdate(java.lang.Object o,
                                                        DataServiceManagerAccess mgrAccess)

### serverMergeForUpdate

    public static java.lang.Object serverMergeForUpdate(java.lang.Object o,
                                                        org.hibernate.Session session,
                                                        com.wavemaker.runtime.data.DataServiceMetaData metaData)

### serverMergeForInsert

    public static java.lang.Object serverMergeForInsert(java.lang.Object o,
                                                        org.hibernate.Session session,
                                                        com.wavemaker.runtime.data.DataServiceMetaData metaData)

### registerPropertyFilter

    public static void registerPropertyFilter()

### clientPrepare

    @Deprecated
    public static java.lang.Object clientPrepare(java.lang.Object o)

  Deprecated.

### clientPrepare

    @Deprecated
    public static java.lang.Object clientPrepare(java.lang.Object o,
                                                            DataServiceManagerAccess mgrAccess)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD